Subject: dung beetles

From: "alteredstates" <[email-masked]>
Date: Fri, 14 May 1999 15:53:28 -0700

Hello.
 My name is Kristine.  I have associates that run Wild Burro Rescue , in
Onalaska, WA....they save wild burros from Death Valley and take them to
their sanctuary to live out their lives.  They have approx. 60 burros, that
produce alot of dung.  Is it possible to purchase dung beetles in the US and
is there a specific species of dung beetle that would thrive on burro dung,
as I have read that some species of them have trouble with cow dung,
although this is strictly burros.    Thanks for any help you can give.
Kristine

[email-masked]